## watershed 4

=== Makefile ===
# Makefile for watershed
#
# Originally based on that from udev
# Copyright (C) 2004-2005 Kay Sievers <kay.sievers@vrfy.org>
#
# Released under the GNU General Public License, version 2.
#

PROG = watershed
OBJ = 
HEADERS =
GEN_HEADERS =
MAN_PAGES =

prefix =
etcdir =	${prefix}/etc
sbindir =	${prefix}/sbin
usrbindir =	${prefix}/usr/bin
usrsbindir =	${prefix}/usr/sbin
libudevdir =	${prefix}/lib/udev
mandir =	${prefix}/usr/share/man
configdir =	${etcdir}/udev/

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA  = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}

CC = gcc
LD = gcc

E = @echo
Q = @

LIB_OBJS += /usr/lib/libnettle.a

all: $(PROG) $(MAN_PAGES)
.PHONY: all
.DEFAULT: all

%.o: %.c $(GEN_HEADERS)
	$(E) "  CC      " $@
	$(Q) $(CC) -c $(CFLAGS) $< -o $@

$(PROG): %: $(HEADERS) %.o $(OBJS)
	$(E) "  LD      " $@
	$(Q) $(LD) $(LDFLAGS) $@.o $(OBJS) -o $@ $(LIBUDEV) $(LIB_OBJS)

# man pages
%.8: %.xml
	$(E) "  XMLTO   " $@
	$(Q) xmlto man $?
.PRECIOUS: %.8

clean:
	$(E) "  CLEAN   "
	$(Q) rm -f $(PROG) $(OBJS) $(GEN_HEADERS) *.o
.PHONY: clean

install-bin: all
	$(INSTALL_PROGRAM) -D $(PROG) $(DESTDIR)$(libudevdir)/$(PROG)
.PHONY: install-bin

uninstall-bin:
	- rm $(DESTDIR)$(libudevdir)/$(PROG)
.PHONY: uninstall-bin

install-man:
	@echo "Please create a man page for this tool."
.PHONY: install-man

uninstall-man:
	@echo "Please create a man page for this tool."
.PHONY: uninstall-man

install-config:
	@echo "no config file to install"
.PHONY: install-config

=== debian/changelog ===
watershed (4) jaunty; urgency=low

  * debian/control: Depend on initramfs-tools so system is not potentially
    rendered unbootable (LP: #358654).

 -- Kees Cook <kees@ubuntu.com>  Thu, 09 Apr 2009 12:32:54 -0700

watershed (3) jaunty; urgency=low

  * Create default statedir /var/run/watershed in initramfs hook; fixes boot
    with root on LVM; thanks Albert Damen; LP: #314879.
  * Update initramfs in postinst's configure if update-initramfs is available.

 -- Loic Minier <lool@dooz.org>  Sun, 11 Jan 2009 14:29:52 +0100

watershed (2) jaunty; urgency=low

  * Install the watershed binary to the initramfs.

 -- Scott James Remnant <scott@ubuntu.com>  Fri, 09 Jan 2009 12:32:39 +0000

watershed (1) jaunty; urgency=low

  * Initial Release, separated out from udev package.

 -- Scott James Remnant <scott@ubuntu.com>  Fri, 19 Dec 2008 05:40:14 +0000

=== debian/control ===
Source: watershed
Section: admin
Priority: extra
Maintainer: Scott James Remnant <scott@ubuntu.com>
Build-Depends: cdbs, debhelper (>= 7), libnettle-dev
Standards-Version: 3.7.3
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/watershed/ubuntu

Package: watershed
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, initramfs-tools
Enhances: udev
Recommends: udev
Replaces: udev (<< 135-1)
Description: reduce superfluous executions of idempotent command
 watershed may be run around a command such that any further attempts to
 run the command while another copy is running will only result in one
 initial further attempt.

Package: watershed-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: reduce superfluous executions of idempotent command

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_INSTALL_TARGET = install-bin DESTDIR=$(DEB_DESTDIR)


install/watershed::
	install -D -m 755 -o root -g root debian/watershed.initramfs-hook \
		debian/watershed/usr/share/initramfs-tools/hooks/watershed

## watershed 5

=== debian/changelog ===
watershed (5) lucid; urgency=low

  * libnettle-dev is NBS, move build dependency to nettle-dev.
  * Bump Standards-Version to 3.8.4 (no changes necessary).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 08 Mar 2010 16:39:49 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: extra
 Maintainer: Scott James Remnant <scott@ubuntu.com>
-Build-Depends: cdbs, debhelper (>= 7), libnettle-dev
-Standards-Version: 3.7.3
+Build-Depends: cdbs, debhelper (>= 7), nettle-dev
+Standards-Version: 3.8.4
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/watershed/ubuntu
 
 Package: watershed

## watershed 6

=== debian/changelog ===
watershed (6) precise; urgency=low

  * Pass -l:libnettle.a instead of /usr/lib/libnettle.a in LIB_OBJS; this
    avoids hardcoding the path which just changed with multiarch; fixes FTBFS.
  * Bump Standards-Version to 3.9.2.
  * Set debian/source/format to "3.0 (native)".
  * Make debian/watershed.initramfs-hook +x in the source; native source
    package can transport this permission.
  * Move debian/watershed.initramfs-hook to debian/initramfs-hook/watershed
    and install it via dh_install instead of calling install in rules.
  * Convert package from cdbs to dh using debhelper compat level 9 for
    dpkg-buildflags support.
  * Override dh_auto_build to pass Q= to make as to see actual build commands.

 -- Loïc Minier <loic.minier@ubuntu.com>  Thu, 01 Dec 2011 00:12:13 +0100

## watershed 6build1

=== debian/changelog ===
watershed (6build1) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Oct 2012 23:27:40 +0100

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_build:
	dh_auto_build -- Q=

override_dh_auto_install:
	$(MAKE) install-bin DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@

## watershed 7

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	CROSS :=
else
	CROSS := CC=$(DEB_HOST_GNU_TYPE)-gcc LD=$(DEB_HOST_GNU_TYPE)-gcc
endif

override_dh_auto_build:
	dh_auto_build -- Q= $(CROSS)

override_dh_auto_install:
	$(MAKE) install-bin DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@

## watershed 8

=== Makefile ===
--- 
+++ 
@@ -32,7 +32,7 @@
 E = @echo
 Q = @
 
-LIB_OBJS += /usr/lib/libnettle.a
+LIB_OBJS += -l:libnettle.a
 
 all: $(PROG) $(MAN_PAGES)
 .PHONY: all
@@ -76,3 +76,6 @@
 install-config:
 	@echo "no config file to install"
 .PHONY: install-config
+
+check: $(PROG)
+	./test.sh

=== debian/changelog ===
watershed (8) xenial; urgency=medium

  * Add debug logging when compiling with -DDEBUG.
  * Add test.sh: Test watershed with commands of varying duration. Call this
    on "make check" and during package build.
  * Bump debhelper build dep to >= 9 to match debian/compat.
  * Bump Standards-Version to 3.9.7.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 05 Apr 2016 16:34:51 +0200

watershed (7) raring; urgency=low

  * Use correct compiler when cross-building.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 04 Dec 2012 14:53:46 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: extra
 Maintainer: Scott James Remnant <scott@ubuntu.com>
-Build-Depends: cdbs, debhelper (>= 7), nettle-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 9), nettle-dev
+Standards-Version: 3.9.7
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/watershed/ubuntu
 
 Package: watershed

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,9 @@
 override_dh_auto_install:
 	$(MAKE) install-bin DESTDIR=$(CURDIR)/debian/tmp
 
+override_dh_auto_test:
+	make check
+
 %:
 	dh $@

## watershed 9

=== debian/changelog ===
watershed (9) artful; urgency=medium

  * debian/control: allow dracut to be installable by adding an alternate
    depends on linux-initramfs-tool for watershed (LP: #1109029).

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 07 Jun 2017 11:31:09 -0600

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: watershed
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, initramfs-tools
+Depends: ${shlibs:Depends}, ${misc:Depends}, initramfs-tools | linux-initramfs-tool
 Enhances: udev
 Recommends: udev
 Replaces: udev (<< 135-1)
